clang 10.0.0git

Public Attributes | List of all members
clang::concepts::Requirement::SubstitutionDiagnostic Struct Reference

`#include "clang/AST/ExprConcepts.h"`

Collaboration diagram for clang::concepts::Requirement::SubstitutionDiagnostic:
[legend]

## Public Attributes
StringRef | SubstitutedEntity
SourceLocation | DiagLoc
StringRef | DiagMessage

## Detailed Description

Definition at line 143 of file ExprConcepts.h.

## Member Data Documentation

## ◆ DiagLoc

SourceLocation clang::concepts::Requirement::SubstitutionDiagnostic::DiagLoc

Definition at line 148 of file ExprConcepts.h.

Referenced by addSubstitutionDiagnostic().

## ◆ DiagMessage

StringRef clang::concepts::Requirement::SubstitutionDiagnostic::DiagMessage

Definition at line 149 of file ExprConcepts.h.

Referenced by addSubstitutionDiagnostic().

## ◆ SubstitutedEntity

StringRef clang::concepts::Requirement::SubstitutionDiagnostic::SubstitutedEntity

Definition at line 144 of file ExprConcepts.h.

Referenced by addSubstitutionDiagnostic().

The documentation for this struct was generated from the following file:

- include/clang/AST/ExprConcepts.h